@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@200&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Arimo&family=EB+Garamond&family=Roboto+Slab:wght@200&display=swap');


*{ 
    padding: 0;
    margin: 0%;
    font-family: 'Roboto Slab', serif;
    box-sizing: border-box;
    list-style-type: none;
}


body{
    height: 100vh;
    background-repeat: no-repeat;
    background-position: 62% 0%;
    background-size: cover;
    background-image: url(../src/fundo.jpg);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.menu{
    display: flex;
    padding-top: 1.5%;
    padding-left: 3%;
    align-items: center;
    justify-content: space-between; 
}

.menu ul{
    
    display: flex;
    flex-wrap: wrap;
    gap: 1.7em;
}


.menu a{
    text-decoration: none;
    color: black;
    font-weight:bold;
    font-size: clamp(15px, 1.5vw, 55px);
}

.menu a::after{
    content: " ";
    height: 4px;
    width: 0%;
    display: block;
    position: absolute;
    background-color: #A48A6F;
    border-radius: 20px;
}

.menu li:hover{
    
    transform: scale(1.2);
    transform: translateY(-1px);
    transition: 0.2s;
}


.menu a:hover::after{
    width: 100%;
    transition: 0.3s;    
}


.logoDesktop{
    height: 9vh;
    margin-right: 2%;
    border-radius: 50%; 
    transition: 0.5s;
}

.logoDesktop:hover{
    height: 12vh;
    transition: 0.3s;
}

.menuMobile{
    display: none;
}

.navegacaoMobile{
    display: flex;
    flex-direction: column;
    background-color: #d4bfaa;
    padding: 10px; 
    position: absolute;
    right: 15px;
    z-index: 2;
    border-radius: 100%;
    transition: 1s;
    height: 10%;
    width: 10%;
}

.navegacaoMobile ul{
    padding: 5px;
    border-radius: 5px;
}

.navMob{
    display: none;
}

.open{
    display: block;
    transition: 0.5s;
}

.telaCheia{
    top: 0;
    right: 0;
    border-radius: 0%;
    width: 100vw;
    height: 100vh;
    
    transition:0.5s;
}

.navegacaoMobile li{
    margin-bottom: 20px;
    text-align: center;
    margin: 70px;  

}

.navegacaoMobile a{
    text-decoration: none;
    color: white;
    font-weight: bold;
    font-size: 3.5vh;
}



.botaoMenu{
    border: none;
    align-self: self-end;
    background-color: transparent;
    transition: 1s;
}

.roda{
    transform: rotate(90deg);
    transition: 1s;
}


article{
    display: flex;
    justify-content: space-around;
    
}

.ladoEsquerdo{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 40%;
}



.titulo{
    color: #493234;
    letter-spacing: 5px;
    margin-bottom: 3%;
    text-align: center;
    
}

.correio{
    margin-top: 3%;
    
}

.endereco{
    font-size: 2vh;
}


.ladoDireito{
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    align-items: center;
    justify-items: flex-start;
    gap: 10%;
    
}


.imgDuvida{
    width: 8vh;
}



form{
    width: 30vw;
}

input{
    height: 10%;
    width: 48%;
    margin: 10px auto;
    
}

textarea{
    width: 97%;
    height: 30vh;
    margin: 10px 0;
    display: block;
}

form button{
    margin: 05px 50%;
    transform: translate(-50%,-50%);
}


footer{
    display: flex;
    justify-content: flex-end;
    padding-right: 2%;
    gap: 19px;
}

footer img{
    height: 4vh;
}

footer a{
   
    border-radius: 100%;
    transition: 0.5s;
    margin-bottom: 10px;
}

footer a:hover{
    transform: translateY(-5px)
}



@media(max-width:830px){

    body{

        background-position: 72% 0%;
    }
    

    .menu{
        display: none;
    }

    .menuMobile{
        display: flex;
        justify-content: space-between;
        margin: 15px;
    }

    .logoMobile{
        height: 6vh;
        width: 6vh;
        border-radius: 100%;
    }

    article{
        display: flex;
        flex-direction: column;
        overflow: hidden;
    }

    .ladoEsquerdo{
        width: 80%;
        margin: 0 auto;
    }

    form{
        width: auto;
    }

    .correio{
        margin-bottom: 0%;
    }

    .ladoDireito{
        grid-template-columns: repeat(6, auto);
        grid-template-rows: auto;
        align-items: center;
        justify-items: center;
        gap: 3%;
        margin: 5%;
    }

    .imgDuvida{
        width: 4vh;
    }



}

@media(max-width:400px){

    article{
        gap: 2%;
    }

    .ladoDireito{
        grid-template-columns: auto auto;
        grid-template-rows: 1fr 1fr 1fr;
        justify-items: flex-start;
        width: 60%;
    }
}
